Retrieves APCu Shared Memory Allocation information

- « apcu_key_info

- apcu_store »

- PHP Manual
- APCu Functions
- Retrieves APCu Shared Memory Allocation information

# apcu_sma_info

(PECL apcu >= 4.0.0)

apcu_sma_info — Retrieves APCu Shared Memory Allocation information

### Description

apcu_sma_info(bool `$limited` = `false`): array|false

Retrieves APCu Shared Memory Allocation information.

### Parameters

`limited`

  When set to `false` (default) apcu_sma_info() will return a detailed information about each segment.

### Return Values

Array of Shared Memory Allocation data; `false` on failure.

### Examples

Example #1 A apcu_sma_info() example

    <?php
    print_r(apcu_sma_info());
    ?>

The above example will output something similar to:

    Array
    (
        [num_seg] => 1
        [seg_size] => 31457280
        [avail_mem] => 31448408
        [block_lists] => Array
            (
                [0] => Array
                    (
                        [0] => Array
                            (
                                [size] => 31448408
                                [offset] => 8864
                            )

                    )

            )

    )

### See Also

- APCu configuration directives